## pix 3.4.7+gigi

=== meson_options.txt ===
option('warn-deprecated',
  type : 'boolean',
  value : true,
  description : 'Enable deprecated declaration warnings in debug mode'
)

option('run-in-place',
  type : 'boolean',
  value : false,
  description : 'Load extensions and other resources from the source tree'
)

option('exiv2',
  type : 'boolean',
  value : true,
  description : 'Use exiv2 to read and write metadata'
)

option('clutter',
  type : 'boolean',
  value : false,
  description : 'Use clutter to make animated slideshows'
)

option('gstreamer',
  type : 'boolean',
  value : true,
  description : 'Use gstreamer to play multimedia files and to view the metadata'
)

option('libchamplain',
  type : 'boolean',
  value : false,
  description : 'Use libchamplain to show the position the image refers to'
)

option('lcms2',
  type : 'boolean',
  value : true,
  description : 'Use lcms2 to get color management support'
)

option('colord',
  type : 'boolean',
  value : true,
  description : 'Use colord to read the monitor color profile'
)

option('libtiff',
  type : 'boolean',
  value : true,
  description : 'Use libtiff to load Tiff images'
)

option('libwebp',
  type : 'boolean',
  value : true,
  description : 'Use libwebp to load WebP images'
)

option('libjxl',
  type : 'boolean',
  value : true,
  description : 'Use libjxl to load JPEG XL images'
)

option('libheif',
  type : 'boolean',
  value : true,
  description : 'Use libheif to load HEIF and AVIF images'
)

option('libraw',
  type : 'boolean',
  value : true,
  description : 'Use libraw to load RAW images'
)

option('librsvg',
  type : 'boolean',
  value : true,
  description : 'Use librsvg to load SVG images'
)

option('libsecret',
  type : 'boolean',
  value : true,
  description : 'Use libsecret to save web service account data'
)

option('webservices',
  type : 'boolean',
  value : true,
  description : 'Compile extensions that import/export images from web services'
)

option('libbrasero',
  type : 'boolean',
  value : true,
  description : 'Use libbrasero to save images and metadata to discs'
)

## pix 1.4.5

=== debian/changelog ===
pix (1.4.5-1mx15+1) mx; urgency=medium

  * Rebuild for MX 15.
  * debian/source/format: make it (quilt) instead of a native package.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 16 Jul 2017 15:34:28 -0700

pix (1.4.5+sonya) sonya; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Jun 2017 10:29:45 +0200

pix (1.4.4) sonya; urgency=medium

  * RAW images: Apply rotation to satisfy EXIF orientation

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 10 Jun 2017 15:36:54 +0100

pix (1.4.3) sonya; urgency=medium

  [ leigh123linux ]
  * added support for image/x-fuji-raf raw files (#29)

  [ Clement Lefebvre ]
  * Packaging: Depend on dcraw

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 09 Jun 2017 18:16:01 +0100

pix (1.4.2) sonya; urgency=medium

  * Grid view: Activate item when pressing Space
  * Improve keyboard navigation
  * Update help to reflect keybinding changes
  * Switch to symbolic icons
  * Change default layout of thumbs to vertical in viewer-mode.
  * Make the screenshot button icon symbolic
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 May 2017 13:51:48 +0100

pix (1.4.1) sonya; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 06 May 2017 15:02:40 +0100

pix (1.4.0) sonya; urgency=medium

  [ monsta ]
  * configure.ac: fix typo in message
  * build with webkit2gtk-4.0 instead of webkit2gtk-3.0
  * debian/control: drop unused build-deps
  * debian/rules: drop non-existent build option
  * debian/rules: use correct build option name

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 05 May 2017 08:46:34 +0100

pix (1.2.1) serena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 12 Dec 2016 13:06:59 +0000

pix (1.2.0) serena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Nov 2016 00:29:28 +0000

pix (1.0.6) sarah; urgency=medium

  * Background extension: Added support for Xfce

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 14 Jul 2016 15:42:40 +0200

pix (1.0.5) sarah; urgency=medium

  * Fixed pix crash in code selector

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 27 Jun 2016 10:41:18 +0100

pix (1.0.4) sarah; urgency=medium

  * Fixed thumbnails not being generated in browser/thumblist in GTK 3.18
  * [Paolo Bacchilega] Facebook: added permission to read the user albums and photos
  * [Paolo Bacchilega] Facebook: fixed the authorization process

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 26 Jun 2016 20:10:59 +0100

pix (1.0.3) sarah; urgency=medium

  * Updated translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 25 Jun 2016 11:14:38 +0100

pix (1.0.2) sarah; urgency=medium

  [ Clement Lefebvre ]
  * Fixed wrong URL in about dialog
  * Toolbar: Show text under icons by default
  * Removed debian/patches
  * Fixed setting background in MATE
  * When setting backgrounds picture, don't mess with the options (picture aspect)

  [ JosephMcc ]
  * Remove a couple sizes of the palette.png icon
  * build: Fix a build warning

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 20 Jun 2016 10:30:48 +0100

pix (1.0.1) sarah; urgency=medium

  * Removed ref to GNOME in help
  * Changed icon
  * Removed GNOME refs in help
  * Make desktop background plugin work in Cinnamon and MATE

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 16 May 2016 17:44:14 +0100

pix (1.0.0) sarah; urgency=medium

  * Initial version

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 16 May 2016 15:49:00 +0000

=== debian/control ===
Source: pix
Section: gnome
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 debhelper (>= 9)
 , dh-autoreconf
 , intltool
 , libexiv2-dev (>= 0.21)
 , flex
 , bison
 , libtiff-dev
 , libpng12-dev | libpng-dev
 , libjpeg-dev
 , libsm-dev
 , libice-dev
 , scrollkeeper
 , automake
 , autoconf
 , libtool
 , gnome-doc-utils
 , gnome-common
 , gsettings-desktop-schemas-dev
 , libgtk-3-dev (>= 3.10.0)
 , libxml2-dev (>= 2.4.0)
 , libglib2.0-dev (>= 2.34.0)
 , libcairo2-dev
 , libltdl3-dev
 , libsoup-gnome2.4-dev (>= 2.36)
 , librsvg2-dev (>= 2.34.0)
 , zlib1g-dev
 , yelp-tools
 , libgstreamer1.0-dev
 , libsecret-1-dev
 , libgstreamer-plugins-base1.0-dev
 , libwebp-dev
 , libwebkit2gtk-4.0-dev
Standards-Version: 3.9.5
Homepage: https://github.com/linuxmint/pix

Package: pix
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , pix-data (= ${source:Version})
 , dcraw
 , gsettings-desktop-schemas
 , xapps-common (>= 1.0.0)
Recommends: gvfs-bin
 , gstreamer0.10-gnomevfs
 , bison
 , flex
Description: image viewer and browser
 Pix is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 For camera import feature, the gPhoto2 library is used.

Package: pix-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
 ${misc:Depends}
 , pix (= ${binary:Version})
Description: image viewer and browser - debugging symbols
 Pix is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 For camera import feature, the gPhoto2 library is used.
 .
 This package contains the debugging symbols for Pix.

Package: pix-data
Architecture: all
Recommends: yelp
Depends:
 ${misc:Depends}
 , scrollkeeper
Description: image viewer and browser - arch-independent files
 Pix is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 For camera import feature, the gPhoto2 library is used.
 .
 This package contains the architecture-independent files needed by pix.

Package: pix-dev
Architecture: any
Section: devel
Depends:
 ${misc:Depends}
 , pix (= ${binary:Version})
Description: image viewer and browser - development files
 Pix is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 For camera import feature, the gPhoto2 library is used.
 .
 This package contains the files needed to develop third-party extensions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH).

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-clutter \
		--disable-libbrasero \
		--enable-libwebp \
		--disable-silent-rules

#override_dh_auto_install:
#	dh_auto_install
#	[ ! -d $(CURDIR)/debian/tmp/usr/share/icons/ ] || \
#		mv $(CURDIR)/debian/tmp/usr/share/icons/hicolor/16x16/actions/flickr.png \
#		   $(CURDIR)/debian/tmp/usr/share/icons/hicolor/16x16/actions/pix-flickr.png && \
#		mv $(CURDIR)/debian/tmp/usr/share/icons/hicolor/16x16/actions/facebook.png \
#		   $(CURDIR)/debian/tmp/usr/share/icons/hicolor/16x16/actions/pix-facebook.png

override_dh_strip:
	dh_strip --keep-debug -X*.la -X*.a --dbg-package=pix-dbg

override_dh_installchangelogs:
	dh_installchangelogs NEWS

%:
	dh $@ --with autoreconf --parallel

## pix 1.4.5%2Bbetsy

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: pix
 Section: gnome
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends:
  debhelper (>= 9)
  , dh-autoreconf

## pix 1.4.5+betsy

=== debian/changelog ===
pix (1.4.5+betsy) sonya; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Jun 2017 10:29:45 +0200

## pix 1.6.2

=== debian/changelog ===
pix (1.6.2-1~mx17+1) mx; urgency=medium

  * New upstream release; ebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 20 Jan 2018 14:21:18 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pix
 Section: gnome
 Priority: optional
-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends:
  debhelper (>= 9)
  , dh-autoreconf

## pix 2.0.3

=== debian/changelog ===
pix (2.0.3-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Convert from native to (quilt) source format.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 17 Mar 2019 11:26:09 -0700

pix (2.0.3+cindy) tessa; urgency=medium

  * l10n: Update translations
  * CI: Remove Mint 18

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Dec 2018 13:52:37 +0000

pix (2.0.2) tessa; urgency=medium

  [ Michael Webster ]
  * image_viewer/gth-image-viewer-page.c: Use ctrl-v for Paste Image shortcut.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Dec 2018 11:28:31 +0000

pix (2.0.1) tessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Dec 2018 11:28:15 +0000

pix (2.0.0) tessa; urgency=medium

  [ NikoKrause ]
  * Use icon for keyboard shortcuts help entry (#55)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 19 Nov 2018 10:32:47 +0000

pix (1.8.2) tara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Jun 2018 13:29:36 +0200

pix (1.8.1) tara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 May 2018 12:55:09 +0100

pix (1.8.0) tara; urgency=medium

  [ Clement Lefebvre ]
  * Add CI configuration

  [ JosephMcc ]
  * Use a cario_surface to store thumbnails
  * Fix Gtk3.20+ issues

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 06 May 2018 16:36:12 +0100

pix (1.6.2) sylvia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 23 Nov 2017 12:21:14 +0000

pix (1.6.1) sylvia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 03 Nov 2017 21:11:03 +0000

pix (1.6.0) sylvia; urgency=medium

  [ JosephMcc ]
  * Create ISSUE_TEMPLATE.md

  [ Cobinja ]
  * Switch zoom buttons in toolbar (#37)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Oct 2017 11:51:31 +0100

pix (1.4.5) sonya; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Jun 2017 10:29:45 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  , gnome-doc-utils
  , gnome-common
  , gsettings-desktop-schemas-dev
- , libgtk-3-dev (>= 3.10.0)
+ , libgtk-3-dev (>= 3.20.0)
  , libxml2-dev (>= 2.4.0)
  , libglib2.0-dev (>= 2.34.0)
  , libcairo2-dev

## pix 2.4.5%2Btricia

=== debian/changelog ===
pix (2.4.5+tricia) tricia; urgency=medium

  [ Paolo Bacchilega ]
  * jpeg loader: crash when the original size is too big for a cairo surface
  * jpeg loader: call alloc_sarray before jpeg_start_decompress
  * jpeg loader: error if the orientation swaps width and height
  * jpeg loader: do not scan more than output_height lines
  * cairo scale: do not create images with invalid dimensions
  * check whether the scaled surface is null before using it
  * gth-image: allow to set null surfaces
  * image viewer: do not try do paint surfaces with invalid size

  [ Michael Webster ]
  * various: check for valid surfaces after creating them.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 07 Jan 2020 09:43:08 +0000

pix (2.4.4) tricia; urgency=medium

  [ Michael Webster ]
  * gth-image-print-job.c: Update spin button settings when the view is first created, not just when the units combobox is changed.
  * gth-image-print-job.c: Use better spinbutton settings, and allow adjustment to two decimal places when inch units are selected.

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2020 11:29:22 +0000

pix (2.4.3) tricia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Dec 2019 14:52:21 +0000

pix (2.4.2) tricia; urgency=medium

  [ Michael Webster ]
  * print settings: Fix inch-to-metric conversion
  * print settings: Remove 'pixel' option in units selector. It is confusing because it's treated *exactly* the same as millimeters, and doesn't make much sense as a physical unit of measure even if it was properly calculated.
  * print settings: Keep images centered until explicitly moved off center (or Custom is explicitly selected).  It makes no sense to have the center combobox revert to Custom when adjusting the image size.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 09 Dec 2019 09:58:17 +0000

pix (2.4.1) tricia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2019 17:13:12 +0000

pix (2.4.0) tricia; urgency=medium

  [ Mike Durso ]
  * Make the slideshow feature respect the preferences zoom quality setting instead of always being low (#83)

  [ Clement Lefebvre ]
  * Remove gconf usage
  * Viewer: Switch to high zoom-quality by default
  * Browser: Replace edit icon
  * UI: Add a bit of padding around location combo
  * Deletion dialogs: Highlight OK button by default

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 Nov 2019 18:16:16 +0100

pix (2.2.1) tina; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 28 Jul 2019 14:54:26 +0200

pix (2.2.0) tina; urgency=medium

  [ Leigh Scott ]
  * Add autogen file and amend Install (#64)

  [ Yury Martynov ]
  * Fix exiv2 issues (https://github.com/linuxmint/pix/issues/70) (#71)

  [ Clement Lefebvre ]
  * Add Ctrl+W and Ctrl+Q shortcuts
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 23 Jun 2019 14:11:27 +0200

pix (2.0.3) tessa; urgency=medium

  * l10n: Update translations
  * CI: Remove Mint 18

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Dec 2018 13:52:37 +0000

## pix 2.4.5+sarah

=== debian/changelog ===
pix (2.4.5+sarah) tricia; urgency=medium

  [ Paolo Bacchilega ]
  * jpeg loader: crash when the original size is too big for a cairo surface
  * jpeg loader: call alloc_sarray before jpeg_start_decompress
  * jpeg loader: error if the orientation swaps width and height
  * jpeg loader: do not scan more than output_height lines
  * cairo scale: do not create images with invalid dimensions
  * check whether the scaled surface is null before using it
  * gth-image: allow to set null surfaces
  * image viewer: do not try do paint surfaces with invalid size

  [ Michael Webster ]
  * various: check for valid surfaces after creating them.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 07 Jan 2020 09:43:08 +0000

## pix 2.4.5+tricia

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pix
 Section: gnome
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends:
  debhelper (>= 9)
  , dh-autoreconf

## pix 2.4.6+cindy

=== debian/changelog ===
pix (2.4.6+cindy) tricia; urgency=medium

  [ Michael Webster ]
  * cairo_io/cairo-image-surface-xcf.c: Initialize some variables.

  [ Clement Lefebvre ]
  * Remove dependency on scrollkeeper

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jan 2020 11:51:59 +0000

pix (2.4.5) tricia; urgency=medium

  [ Paolo Bacchilega ]
  * jpeg loader: crash when the original size is too big for a cairo surface
  * jpeg loader: call alloc_sarray before jpeg_start_decompress
  * jpeg loader: error if the orientation swaps width and height
  * jpeg loader: do not scan more than output_height lines
  * cairo scale: do not create images with invalid dimensions
  * check whether the scaled surface is null before using it
  * gth-image: allow to set null surfaces
  * image viewer: do not try do paint surfaces with invalid size

  [ Michael Webster ]
  * various: check for valid surfaces after creating them.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 07 Jan 2020 09:43:08 +0000

## pix 2.4.6+tricia

=== debian/changelog ===
pix (2.4.6+tricia) tricia; urgency=medium

  [ Michael Webster ]
  * cairo_io/cairo-image-surface-xcf.c: Initialize some variables.

  [ Clement Lefebvre ]
  * Remove dependency on scrollkeeper

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jan 2020 11:51:59 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  , libjpeg-dev
  , libsm-dev
  , libice-dev
- , scrollkeeper
  , automake
  , autoconf
  , libtool
@@ -82,7 +81,6 @@
 Recommends: yelp
 Depends:
  ${misc:Depends}
- , scrollkeeper
 Description: image viewer and browser - arch-independent files
  Pix is an advanced image viewer and browser. It has many useful
  features, such as filesystem browsing, slide show, image catalogs, web

## pix 2.4.8

=== debian/changelog ===
pix (2.4.8-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * changed debian/source/format to quilt

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Wed, 27 May 2020 15:11:01 -0400

pix (2.4.8) ulyana; urgency=medium

  * Use the new xapp diaporama-symbolic icon

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 11 May 2020 15:52:38 +0100

pix (2.4.7) ulyana; urgency=medium

  * Packaging: Remove gnome-doc-utils
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 11 May 2020 14:02:24 +0100

pix (2.4.6) tricia; urgency=medium

  [ Michael Webster ]
  * cairo_io/cairo-image-surface-xcf.c: Initialize some variables.

  [ Clement Lefebvre ]
  * Remove dependency on scrollkeeper

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jan 2020 11:51:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pix
 Section: gnome
 Priority: optional
-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends:
  debhelper (>= 9)
  , dh-autoreconf
@@ -17,7 +18,6 @@
  , automake
  , autoconf
  , libtool
- , gnome-doc-utils
  , gnome-common
  , gsettings-desktop-schemas-dev
  , libgtk-3-dev (>= 3.20.0)
@@ -46,7 +46,7 @@
  , pix-data (= ${source:Version})
  , dcraw
  , gsettings-desktop-schemas
- , xapps-common (>= 1.0.0)
+ , xapps-common (>= 1.8.4)
 Recommends: gvfs-bin
  , gstreamer0.10-gnomevfs
  , bison

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH).
 
@@ -23,11 +23,14 @@
 #		mv $(CURDIR)/debian/tmp/usr/share/icons/hicolor/16x16/actions/facebook.png \
 #		   $(CURDIR)/debian/tmp/usr/share/icons/hicolor/16x16/actions/pix-facebook.png
 
+.PHONY: override_dh_strip
+
 override_dh_strip:
-	dh_strip --keep-debug -X*.la -X*.a --dbg-package=pix-dbg
+	dh_strip --dbg-package=pix-dbg
+#	dh_strip --no-automatic-dbgsym
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@ --with autoreconf

## pix 2.4.11

=== debian/changelog ===
pix (2.4.11-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- andyprough <andyprough@protonmail.com>  Mon, 28 Sep 2020 15:10:02 -0500

pix (2.4.11) ulyana; urgency=medium

  * Fix app version

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 12:42:58 +0100

pix (2.4.10) ulyana; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 12:03:54 +0100

pix (2.4.9) ulyana; urgency=medium

  [ icarter09 ]
  * Added README for extensions. Changed extension link to point to the new README.

  [ Clement Lefebvre ]
  * CI: Target Mint 20 and LMDE 4

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 06 Jun 2020 14:36:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pix
 Section: gnome
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+Maintainer: andyprough <andyprough@protonmail.com>
 XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends:
  debhelper (>= 9)

## pix 2.4.11+ulyana

=== debian/changelog ===
pix (2.4.11+ulyana) ulyana; urgency=medium

  * Fix app version

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 12:42:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pix
 Section: gnome
 Priority: optional
-Maintainer: andyprough <andyprough@protonmail.com>
-XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends:
  debhelper (>= 9)
  , dh-autoreconf

## pix 2.6.3+ulyssa

=== debian/changelog ===
pix (2.6.3+ulyssa) ulyssa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Jan 2021 17:33:23 +0000

pix (2.6.2) ulyssa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 13 Dec 2020 10:55:05 +0000

pix (2.6.1) ulyssa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Dec 2020 12:14:33 +0000

pix (2.6.0) ulyssa; urgency=medium

  [ icarter09 ]
  * Removed code causing issue73
  * Added backspace to list of hot keys for fullscreen mode
  * Added line on how to remove image from selection
  * Added Rating to filter list for ticket #104

  [ Michael Webster ]
  * gth-browser.c: Improve handling of invalid uris.
  * Use debhelper 10 to allow parallel (-j) make jobs.

  [ icarter09 ]
  * Implements #74. Allow for override of permanent delete message

  [ Michael Webster ]
  * Add favorites:/// to the sidebar file browser.

  [ brkeh ]
  * Fix issue 28 (#123)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 01 Dec 2020 16:31:40 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends:
- debhelper (>= 9)
+ debhelper-compat(=10)
  , dh-autoreconf
  , intltool
  , libexiv2-dev (>= 0.21)

## pix 2.6.5+debbie

=== debian/changelog ===
pix (2.6.5+debbie) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 15:15:31 +0100

pix (2.6.4) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Jun 2021 11:16:39 +0100

pix (2.6.3) ulyssa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Jan 2021 17:33:23 +0000

## pix 2.6.5+uma

=== debian/changelog ===
pix (2.6.5+uma) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 15:15:31 +0100

## pix 2.8.4+una

=== debian/changelog ===
pix (2.8.4+una) una; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 12:55:29 +0000

pix (2.8.3) una; urgency=medium

  * Change zoom-to-fit-width icon

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 27 Dec 2021 13:59:46 +0000

pix (2.8.2) una; urgency=medium

  [ Michael Webster ]
  * Support hidpi in the folder tree and bookmark dropdown menu.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 16 Dec 2021 10:11:15 +0000

pix (2.8.1) una; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Dec 2021 15:44:57 +0000

pix (2.8.0) una; urgency=medium

  [ Clement Lefebvre ]
  * Add support for dark mode
  * l10n: Update POT
  * Extensions: Remove obsolete link
  * Dark mode: Disable option in Xfce

  [ Isaac Carter ]
  * Fix crash with "Enhance Focus" (#136)
  * Fix crash with Darktable jpg (#141)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 Nov 2021 10:22:26 +0000

pix (2.6.5) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 15:15:31 +0100

## pix 2.8.7+vanessa

=== debian/changelog ===
pix (2.8.7+vanessa) vanessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 12:26:41 +0200

pix (2.8.6) vanessa; urgency=medium

  * CI: Update targets
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 26 Jun 2022 16:06:06 +0200

pix (2.8.5) vanessa; urgency=medium

  [ Michael Webster ]
  * Add Downloads to the sidebar folder navigator.

 -- Clement Lefebvre <clem@macbook>  Sat, 11 Jun 2022 11:53:41 +0200

pix (2.8.4) una; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 12:55:29 +0000

## pix 2.8.9%2Belsie

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
+#export DH_VERBOSE=1
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH).
 
@@ -23,11 +23,8 @@
 #		mv $(CURDIR)/debian/tmp/usr/share/icons/hicolor/16x16/actions/facebook.png \
 #		   $(CURDIR)/debian/tmp/usr/share/icons/hicolor/16x16/actions/pix-facebook.png
 
-.PHONY: override_dh_strip
-
 override_dh_strip:
-	dh_strip --dbg-package=pix-dbg
-#	dh_strip --no-automatic-dbgsym
+	dh_strip --keep-debug -X*.la -X*.a --dbg-package=pix-dbg
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

## pix 2.8.9%2Bvera

=== debian/changelog ===
pix (2.8.9+vera) vera; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Dec 2022 13:12:50 +0000

pix (2.8.8) vera; urgency=medium

  [ Rick Calixte ]
  * Fix .gitignore for builds (#154)

  [ Michael Webster ]
  * Build: Restore po/Makefile.in.in from previous commit - removing it breaks the LMDE5 build.
  * Use github actions for CI builds.
  * gth-browser.c: Don't continuously reload a single image.
  * Disable 'fast' content detection by default.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 21 Nov 2022 14:47:35 +0000

pix (2.8.7) vanessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 12:26:41 +0200

## pix 2.8.9+elsie

=== debian/changelog ===
pix (2.8.9+elsie) vera; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Dec 2022 13:12:50 +0000

=== debian/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
  , pix-data (= ${source:Version})
  , dcraw
  , gsettings-desktop-schemas
- , xapps-common (>= 1.8.4)
+ , xapps-common (>= 2.2.7)
 Recommends: gvfs-bin
  , gstreamer0.10-gnomevfs
  , bison

## pix 3.0.0+victoria

=== debian/changelog ===
pix (3.0.0+victoria) victoria; urgency=medium

  [ Clement Lefebvre ]
  * Rename Gthumb -> Pix (files)
  * Rename org.gnome.gthumb -> org.x.pix and org/gnome/ghumb -> org/x/pix
  * Remove debian/watch
  * Rename links
  * Rename gthumb -> pix (strings)
  * Remove references to GNOME
  * Removed GNOME refs in help
  * Fix renaming issue
  * Add support for dark mode
  * Extensions: Remove obsolete link

  [ Michael Webster ]
  * Disable 'fast' content detection by default.

  [ Isaac Carter ]
  * Fix crash with Darktable jpg (#141)

  [ brkeh ]
  * Fix issue 28 (#123)

  [ Michael Webster ]
  * Add favorites:/// to the sidebar file browser.
  * print settings: Fix inch-to-metric conversion

  [ Clement Lefebvre ]
  * UI: Add a bit of padding around location combo
  * Make desktop background plugin work in Cinnamon and MATE
  * When setting backgrounds picture, don't mess with the options (picture aspect)
  * Background extension: Added support for Xfce
  * Grid view: Activate item when pressing Space

  [ Mike Durso ]
  * Make the slideshow feature respect the preferences zoom quality setting instead of always being low (#83)

  [ Michael Webster ]
  * print settings: Remove 'pixel' option in units selector. It is confusing because it's treated *exactly* the same as millimeters, and doesn't make much sense as a physical unit of measure even if it was properly calculated.
  * print settings: Keep images centered until explicitly moved off center (or Custom is explicitly selected).  It makes no sense to have the center combobox revert to Custom when adjusting the image size.
  * gth-image-print-job.c: Update spin button settings when the view is first created, not just when the units combobox is changed.
  * gth-image-print-job.c: Use better spinbutton settings, and allow adjustment to two decimal places when inch units are selected.
  * various: check for valid surfaces after creating them.

  [ icarter09 ]
  * Added line on how to remove image from selection

  [ Clement Lefebvre ]
  * Edit default settings
  * Improve navigation
  * Assign Del to delete files
  * Fix color-profile icon
  * Remove GNOME tag
  * l10n: Update POT
  * gThumb 3.12.0

  [ Paolo Bacchilega ]
  * Merge branch 'jirutka/gthumb-fix-204'
  * Fixed location loading after mounting volume
  * Merge branch 'zorgnac/gthumb-master'
  * Merge branch 'kendy.kutzner/gthumb-kendy.kutzner-master-patch-97900'
  * Crash when dropping files on an empty folder/catalog
  * grid view: show the drop destination even when the list is empty
  * JPEG image dimensions not displayed for files inside the trash
  * Transparent webp images are rendered incorrectly
  * webp: set width and height
  * --help: mention that user can open files and/or directories
  * PNG loader ignores gAMA
  * icc profile: fixed variable name
  * icc profile: renamed function for clarity
  * icc profile: better description for profiles with gamma correction

  [ Clement Lefebvre ]
  * gThumb 3.12.1

  [ Paolo Bacchilega ]
  * Fixed possible crash when changing directory during thumbnails creation
  * thumbnailer: added support for larger sizes
  * thumbnailer: give priority to the xdg directory
  * thumbnailer: fixed variable name

  [ Clement Lefebvre ]
  * gThumb 3.12.2
  * l10n: Update POT
  * Rename desktop files and icons: org.x.Pix -> pix
  * meson: fix version

  [ Michael Webster ]
  * Add .gitignore.
  * Use the generic getter for some fileinfo queries.

  [ Bobby Rong ]
  * Fixed build with libraw 0.21 (#168)

  [ Michael Webster ]
  * Remove copyright notice from --version and About.
  * debian/control: Remove gnome-common (obsolete).

  [ Clement Lefebvre ]
  * Revert "Add support for dark mode"
  * Remove non-configurable dark mode
  * Add dark mode support
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Jun 2023 13:55:21 +0100

pix (2.8.9) vera; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Dec 2022 13:12:50 +0000

## pix 3.0.1+victoria

=== debian/changelog ===
pix (3.0.1+victoria) victoria; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 11:51:49 +0100

pix (3.0.0) victoria; urgency=medium

  [ Clement Lefebvre ]
  * Rename Gthumb -> Pix (files)
  * Rename org.gnome.gthumb -> org.x.pix and org/gnome/ghumb -> org/x/pix
  * Remove debian/watch
  * Rename links
  * Rename gthumb -> pix (strings)
  * Remove references to GNOME
  * Removed GNOME refs in help
  * Fix renaming issue
  * Add support for dark mode
  * Extensions: Remove obsolete link

  [ Michael Webster ]
  * Disable 'fast' content detection by default.

  [ Isaac Carter ]
  * Fix crash with Darktable jpg (#141)

  [ brkeh ]
  * Fix issue 28 (#123)

  [ Michael Webster ]
  * Add favorites:/// to the sidebar file browser.
  * print settings: Fix inch-to-metric conversion

  [ Clement Lefebvre ]
  * UI: Add a bit of padding around location combo
  * Make desktop background plugin work in Cinnamon and MATE
  * When setting backgrounds picture, don't mess with the options (picture aspect)
  * Background extension: Added support for Xfce
  * Grid view: Activate item when pressing Space

  [ Mike Durso ]
  * Make the slideshow feature respect the preferences zoom quality setting instead of always being low (#83)

  [ Michael Webster ]
  * print settings: Remove 'pixel' option in units selector. It is confusing because it's treated *exactly* the same as millimeters, and doesn't make much sense as a physical unit of measure even if it was properly calculated.
  * print settings: Keep images centered until explicitly moved off center (or Custom is explicitly selected).  It makes no sense to have the center combobox revert to Custom when adjusting the image size.
  * gth-image-print-job.c: Update spin button settings when the view is first created, not just when the units combobox is changed.
  * gth-image-print-job.c: Use better spinbutton settings, and allow adjustment to two decimal places when inch units are selected.
  * various: check for valid surfaces after creating them.

  [ icarter09 ]
  * Added line on how to remove image from selection

  [ Clement Lefebvre ]
  * Edit default settings
  * Improve navigation
  * Assign Del to delete files
  * Fix color-profile icon
  * Remove GNOME tag
  * l10n: Update POT
  * gThumb 3.12.0

  [ Paolo Bacchilega ]
  * Merge branch 'jirutka/gthumb-fix-204'
  * Fixed location loading after mounting volume
  * Merge branch 'zorgnac/gthumb-master'
  * Merge branch 'kendy.kutzner/gthumb-kendy.kutzner-master-patch-97900'
  * Crash when dropping files on an empty folder/catalog
  * grid view: show the drop destination even when the list is empty
  * JPEG image dimensions not displayed for files inside the trash
  * Transparent webp images are rendered incorrectly
  * webp: set width and height
  * --help: mention that user can open files and/or directories
  * PNG loader ignores gAMA
  * icc profile: fixed variable name
  * icc profile: renamed function for clarity
  * icc profile: better description for profiles with gamma correction

  [ Clement Lefebvre ]
  * gThumb 3.12.1

  [ Paolo Bacchilega ]
  * Fixed possible crash when changing directory during thumbnails creation
  * thumbnailer: added support for larger sizes
  * thumbnailer: give priority to the xdg directory
  * thumbnailer: fixed variable name

  [ Clement Lefebvre ]
  * gThumb 3.12.2
  * l10n: Update POT
  * Rename desktop files and icons: org.x.Pix -> pix
  * meson: fix version

  [ Michael Webster ]
  * Add .gitignore.
  * Use the generic getter for some fileinfo queries.

  [ Bobby Rong ]
  * Fixed build with libraw 0.21 (#168)

  [ Michael Webster ]
  * Remove copyright notice from --version and About.
  * debian/control: Remove gnome-common (obsolete).

  [ Clement Lefebvre ]
  * Revert "Add support for dark mode"
  * Remove non-configurable dark mode
  * Add dark mode support
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Jun 2023 13:55:21 +0100

## pix 3.0.2+faye

=== debian/changelog ===
pix (3.0.2+faye) victoria; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 17:16:45 +0200

pix (3.0.1) victoria; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 11:51:49 +0100

## pix 3.0.2+victoria

=== debian/changelog ===
pix (3.0.2+victoria) victoria; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 17:16:45 +0200

## pix 3.2.0+virginia

=== debian/changelog ===
pix (3.2.0+virginia) virginia; urgency=medium

  [ Nate Simon ]
  * patch to build with exiv 0.28 (#178)

  [ Michael Webster ]
  * Remove white frame from images.
  * gth-browser-actions-entries.h: Remove left/right/up/down shortcuts.
  * Update bug template, add (obsolete) feature request template.

  [ Klemens Schölhorn ]
  * Automatically rotate video based on its orientation tag

  [ Clement Lefebvre ]
  * Unref videoflip before creating a new one.
  * Revert "gth-browser-actions-entries.h: Remove left/right/up/down shortcuts."

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 28 Nov 2023 10:37:46 +0000

pix (3.0.2) victoria; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 17:16:45 +0200

## pix 3.2.1+virginia

=== debian/changelog ===
pix (3.2.1+virginia) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 03 Dec 2023 15:10:37 +0000

pix (3.2.0) virginia; urgency=medium

  [ Nate Simon ]
  * patch to build with exiv 0.28 (#178)

  [ Michael Webster ]
  * Remove white frame from images.
  * gth-browser-actions-entries.h: Remove left/right/up/down shortcuts.
  * Update bug template, add (obsolete) feature request template.

  [ Klemens Schölhorn ]
  * Automatically rotate video based on its orientation tag

  [ Clement Lefebvre ]
  * Unref videoflip before creating a new one.
  * Revert "gth-browser-actions-entries.h: Remove left/right/up/down shortcuts."

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 28 Nov 2023 10:37:46 +0000

## pix 3.2.2%2Bvirginia

=== debian/changelog ===
pix (3.2.2+virginia) virginia; urgency=medium

  [ Michael Webster ]
  * Use xgettext for translations.

  [ Clement Lefebvre ]
  * l10n: Remove po/pix.pot
  * l10n: Update POT

  [ Michael Webster ]
  * gth-browser-action-callbacks.c: Ignore view changes triggered by backspace if the editor sidebar is active and an entry is focused.

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 16:47:35 +0000

pix (3.2.1) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 03 Dec 2023 15:10:37 +0000

=== debian/control ===
Source: pix
Section: gnome
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 bison,
 debhelper-compat (= 13),
 flex,
 gsettings-desktop-schemas-dev,
 libbrasero-media3-dev,
 libclutter-gtk-1.0-dev,
 libexiv2-dev,
 libgstreamer-plugins-base1.0-dev,
 libgstreamer1.0-dev,
 libgtk-3-dev,
 libheif-dev (>= 1.11~),
 libraw-dev,
 librsvg2-dev,
 libsecret-1-dev,
 libsoup-gnome2.4-dev,
 libtiff-dev,
 libwebkit2gtk-4.0-dev,
 libwebp-dev,
 libxapp-dev (>= 2.5.0),
 meson,
 yelp-tools,
Standards-Version: 4.6.0
Homepage: https://github.com/linuxmint/pix

Package: pix
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 gsettings-desktop-schemas,
 pix-data (= ${source:Version}),
 libgl1-mesa-dri,
 ${misc:Depends},
 ${shlibs:Depends},
 dcraw,
 xapps-common (>= 2.5.0),
Recommends:
 libgphoto2-6,
 libgphoto2-port12,
Description: image viewer and browser
 Pix is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 For camera import feature, the gPhoto2 library is used.

Package: pix-data
Architecture: all
Recommends:
 yelp,
Depends:
 ${misc:Depends},
Description: image viewer and browser - arch-independent files
 Pix is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 For camera import feature, the gPhoto2 library is used.
 .
 This package contains the architecture-independent files needed by pix.

Package: pix-dev
Architecture: any
Multi-Arch: no
Section: devel
Depends:
 pix (= ${binary:Version}),
 ${misc:Depends},
Description: image viewer and browser - development files
 Pix is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 For camera import feature, the gPhoto2 library is used.
 .
 This package contains the files needed to develop third-party extensions.

Package: pix-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
 ${misc:Depends},
 pix (= ${binary:Version}),
Description: image viewer and browser - debugging symbols
 Pix is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 For camera import feature, the gPhoto2 library is used.
 .
 This package contains the debugging symbols for Pix.

## pix 3.2.2+faye

=== debian/changelog ===
pix (3.2.2+faye) virginia; urgency=medium

  [ Michael Webster ]
  * Use xgettext for translations.

  [ Clement Lefebvre ]
  * l10n: Remove po/pix.pot
  * l10n: Update POT

  [ Michael Webster ]
  * gth-browser-action-callbacks.c: Ignore view changes triggered by backspace if the editor sidebar is active and an entry is focused.

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 16:47:35 +0000

## pix 3.2.2+wilma

=== debian/changelog ===
pix (3.2.2+wilma) virginia; urgency=medium

  [ Michael Webster ]
  * Use xgettext for translations.

  [ Clement Lefebvre ]
  * l10n: Remove po/pix.pot
  * l10n: Update POT

  [ Michael Webster ]
  * gth-browser-action-callbacks.c: Ignore view changes triggered by backspace if the editor sidebar is active and an entry is focused.

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 16:47:35 +0000

## pix 3.3.0+wilma

=== debian/changelog ===
pix (3.3.0+wilma) wilma; urgency=medium

  [ Nate Simon ]
  * apply jxl patch from gthumb, adds support for jxl-0.9.0 (#205)

  [ Michael Webster ]
  * debian/control: Add libjxl-dev for build.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Mar 2024 14:32:36 +0000

pix (3.2.2) virginia; urgency=medium

  [ Michael Webster ]
  * Use xgettext for translations.

  [ Clement Lefebvre ]
  * l10n: Remove po/pix.pot
  * l10n: Update POT

  [ Michael Webster ]
  * gth-browser-action-callbacks.c: Ignore view changes triggered by backspace if the editor sidebar is active and an entry is focused.

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 16:47:35 +0000

=== debian/control ===
--- 
+++ 
@@ -14,12 +14,13 @@
  libgstreamer1.0-dev,
  libgtk-3-dev,
  libheif-dev (>= 1.11~),
+ libjxl-dev (>= 0.3.0),
  libraw-dev,
  librsvg2-dev,
  libsecret-1-dev,
  libsoup-gnome2.4-dev,
  libtiff-dev,
- libwebkit2gtk-4.0-dev,
+ libwebkit2gtk-4.1-dev,
  libwebp-dev,
  libxapp-dev (>= 2.5.0),
  meson,

## pix 3.4.0+wilma

=== debian/changelog ===
pix (3.4.0+wilma) wilma; urgency=medium

  [ Clement Lefebvre ]
  * Switch to libwebkit2gtk-4.1

  [ Nate Simon ]
  * apply jxl patch from gthumb, adds support for jxl-0.9.0 (#205)

  [ Michael Webster ]
  * debian/control: Add libjxl-dev for build.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 04 Jun 2024 16:15:22 +0100

## pix 3.4.1+wilma

=== debian/changelog ===
pix (3.4.1+wilma) wilma; urgency=medium

  [ Nate Simon ]
  * fix missing type cast and invalid return type gcc errors (#212)

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Jun 2024 20:52:33 +0100

pix (3.4.0) wilma; urgency=medium

  [ Clement Lefebvre ]
  * Switch to libwebkit2gtk-4.1

  [ Nate Simon ]
  * apply jxl patch from gthumb, adds support for jxl-0.9.0 (#205)

  [ Michael Webster ]
  * debian/control: Add libjxl-dev for build.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 04 Jun 2024 16:15:22 +0100

## pix 3.4.2+wilma

=== debian/changelog ===
pix (3.4.2+wilma) wilma; urgency=medium

  [ Michael Webster ]
  * Add missing xlib dependency.
  * Remove dependency on unmaintained gtk-clutter, disable slideshow transitions.
    (closes: #145)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 19 Jul 2024 14:52:32 +0100

pix (3.4.1) wilma; urgency=medium

  [ Nate Simon ]
  * fix missing type cast and invalid return type gcc errors (#212)

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Jun 2024 20:52:33 +0100

## pix 3.4.3+faye

=== debian/changelog ===
pix (3.4.3+faye) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jul 2024 10:39:21 +0100

pix (3.4.2) wilma; urgency=medium

  [ Michael Webster ]
  * Add missing xlib dependency.
  * Remove dependency on unmaintained gtk-clutter, disable slideshow transitions.
    (closes: #145)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 19 Jul 2024 14:52:32 +0100

## pix 3.4.3+wilma

=== debian/changelog ===
pix (3.4.3+wilma) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jul 2024 10:39:21 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  flex,
  gsettings-desktop-schemas-dev,
  libbrasero-media3-dev,
- libclutter-gtk-1.0-dev,
  libexiv2-dev,
  libgstreamer-plugins-base1.0-dev,
  libgstreamer1.0-dev,
@@ -23,6 +22,7 @@
  libwebkit2gtk-4.1-dev,
  libwebp-dev,
  libxapp-dev (>= 2.5.0),
+ libx11-dev,
  meson,
  yelp-tools,
 Standards-Version: 4.6.0
